
Getting Started - Bug # 4325

Status: Resolved Priority: Should have
Author: ziyad saeed Category: Content / Instructions
Created: 2009-08-26 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
Subject: Call to a member function findAll() on a non-object
Description

Using the example given in Getting Started guide and creating a Blog model and Blog Repository and changing the Blog controller
The line of code $blogs = $this->blogRepository->findAll(); in the BlogController class is the problem. $this->blogRepository isn't an
object. the framework should have injected the blogRepository object, but it didn't

Call to a member function findAll() on a non-object in
C:\wamp\www\FLOW3Tutorial\Packages\Application\Blog\Classes\Controller\BlogController.php on line 46

Related issues:
duplicated by TYPO3.Flow - Bug # 4409: @inject comment property isn't working Closed 2009-08-31

History
#1 - 2009-09-03 23:22 - Karsten Dambekalns

Have you tried emptying the cache? Sounds more like cached reflection data causing this - because property injection like this works for me.

#2 - 2009-09-04 11:45 - Robert Lemke
- Target version changed from 1.0.0 alpha 3 to 1.0.0 alpha 4

#3 - 2009-09-04 13:45 - Karsten Dambekalns
- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns

#4 - 2009-09-04 13:45 - Karsten Dambekalns
- Category set to Content / Instructions

#5 - 2009-09-04 14:20 - ziyad saeed

my FLOW3_CONTEXT is set to Development, which should clear the cache.
However, whats the manual way of clearing the cache?

#6 - 2009-09-04 14:25 - Karsten Dambekalns

ziyad saeed wrote:

However, whats the manual way of clearing the cache?

Remove Data\Temporary\*

#7 - 2009-09-04 17:53 - ziyad saeed
Ok its working now
So the problem is flow3 not clearing the cache in development mode

#8 - 2009-09-07 11:53 - Karsten Dambekalns
- Status changed from Needs Feedback to Resolved

Thanks for your feedback!

The tutorial has been updated in SVN and will be updated on the website as soon as possible.
